#ifndef _HPP_KUNGFLOW_ENEMY_BIRDLIKE
#define _HPP_KUNGFLOW_ENEMY_BIRDLIKE

#include "gaia/gaia.hpp"
using namespace gaia;

#include "enemy.hpp"

class EnemyBirdlike : public Enemy {

  public:

    EnemyBirdlike(const KungFlowGame *game, const PlayState *playState, const Vector2 &position = _DEFAULTVECTOR, float zPosition = 0);
    virtual ~EnemyBirdlike();

    virtual void GetSpriteBounds(Vector2 &center, Vector2 &radius) const override;
    virtual void OnCollide(const StageEntity* entity) override;

    virtual void OnStepPhysicsTime() override;
    virtual void PostStepPhysicsTime() override;
    virtual void Draw(const Viewport &viewport, const Camera &camera) const override;

    virtual float GetWeight() const override { return 10.0f; }
    virtual float GetHeight() const override { return 0.8f; }
    virtual float GetRadius() const override { return 0.5f; }

  protected:

    Object *bodyObject;
    Sprite *bodySprite;

    bool goingBack;

};

#endif
